<template>
    <div class="viewport super-admin">
        <SuperHeader
            class="left-header"
            @updPlatform="updatePlatform"
        />
        <SuperMobileHeader
            class="top-header"
            @updPlatform="updatePlatform"
        />
        <notifications animation-name="fadeInDown" />
        <main class="app-content">
            <notifications animation-name="fadeInDown" />
            <div class="content app-page">
                <router-view ref="page" />
            </div>
        </main>
        <Feedback />
    </div>
</template>

<script>
import { mapMutations, mapState } from 'vuex';
import Feedback from '@/components/elements/Feedback.vue';
import SuperHeader from "@/components/super admin header/SuperHeader";
import SuperMobileHeader from "@/components/super admin header/SuperMobileHeader";

export default {
    name: "SuperAdminLayout",
    components: {SuperMobileHeader, SuperHeader, Feedback, Feedback},
    data() {
        return {

        }
    },
    created() {
        this.getPlatform()
    },
    computed: {
        ...mapState(['platform']),
    },
    methods: {
        ...mapMutations(['updPlatform']),
        getPlatform() {
            let platform = this.$cookies.get('platform')
            if(!platform) {
                platform = 'shopify'
                this.$cookies.set('platform', platform)
            } 
            this.updPlatform(platform)
        },
        updatePlatform() {
            if(this.$refs.page.loadData) this.$refs.page.loadData()
            const permissions = this.$route.meta.permissions
            if(permissions && !permissions.includes(this.platform)) this.$router.push({name: 'admin-dashboard'})
        }
    }
}
</script>

<style scoped lang="scss">
@import "../../css/colors";

.viewport {
    font-family: 'Lato';
    padding-left: 250px;
    background: $app-background-color;
    height: 100vh;
    @media screen and (max-width: 770px) {
        padding-left: 0;
    }
}

.app-content {
    background: $app-background-color;
}

.top-header {
    display: none;
}

@media screen and (max-width: 770px) {
    .left-header {
        display: none;
    }
    .top-header {
        display: flex;
        border: 1px solid white;
        background: linear-gradient(to bottom, #4786FF 0%, #6ba2ff 100%);
        position: absolute;
        width: 100%;
        z-index: 100;
    }
}

</style>
